# ActorMethod (dapr-sdk-parent 1.10.0 API)

Package io.dapr.actors

## Annotation Type ActorMethod

    @Documented
    @Target(METHOD)
    @Retention(RUNTIME)
    public @interface ActorMethod

### Optional Element Summary

Optional Elements
`String` `name` Actor's method name.
`Class` `returns` Actor's method return type.

### Element Detail

#### returns

    Class returns

Actor's method return type. This is required when result object is within a Mono response.

Returns:
  Actor's method return type.

Default:
  io.dapr.actors.Undefined.class

#### name

    String name

Actor's method name. This is optional and will override the method's default name for actor invocation.

Returns:
  Actor's method name.

Default:
  ""